Index: svn/src/mainboard/amd/dbm690t/Config.lb
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/Config.lb
+++ svn/src/mainboard/amd/dbm690t/Config.lb
@@ -155,9 +155,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/amd/dbm690t/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/amd/dbm690t/devicetree.cb
+++ svn/src/mainboard/amd/dbm690t/devicetree.cb
@@ -20,9 +20,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/amd/pistachio/Config.lb
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/Config.lb
+++ svn/src/mainboard/amd/pistachio/Config.lb
@@ -156,9 +156,7 @@ chip northbridge/amd/amdk8/root_complex
 					device pci 0.0 on end # HT  	0x7910
 				#	device pci 0.1 off end # CLK
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/amd/pistachio/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/amd/pistachio/devicetree.cb
+++ svn/src/mainboard/amd/pistachio/devicetree.cb
@@ -21,9 +21,7 @@ chip northbridge/amd/amdk8/root_complex
 					device pci 0.0 on end # HT  	0x7910
 				#	device pci 0.1 off end # CLK
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/arima/hdama/Config.lb
===================================================================
--- svn.orig/src/mainboard/arima/hdama/Config.lb
+++ svn/src/mainboard/arima/hdama/Config.lb
@@ -177,9 +177,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on  end	# USB1
 						device pci 0.2 off end	# USB 2.0
 						device pci 1.0 off end	# LAN
-						chip drivers/pci/onboard
-							device pci 6.0 on end # ATI Rage XL
-						end
+						device pci 6.0 on end # ATI Rage XL
 						## PCI Slot 5 (correct?)
 						#chip drivers/generic/generic
 						#	device pci 5.0 on
Index: svn/src/mainboard/arima/hdama/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/arima/hdama/devicetree.cb
+++ svn/src/mainboard/arima/hdama/devicetree.cb
@@ -73,9 +73,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on  end	# USB1
 						device pci 0.2 off end	# USB 2.0
 						device pci 1.0 off end	# LAN
-						chip drivers/pci/onboard
-							device pci 6.0 on end # ATI Rage XL
-						end
+						device pci 6.0 on end # ATI Rage XL
 						## PCI Slot 5 (correct?)
 						#chip drivers/generic/generic
 						#	device pci 5.0 on
Index: svn/src/mainboard/asi/mb_5blmp/Config.lb
===================================================================
--- svn.orig/src/mainboard/asi/mb_5blmp/Config.lb
+++ svn/src/mainboard/asi/mb_5blmp/Config.lb
@@ -135,11 +135,6 @@ chip northbridge/amd/gx1		# Northbridge
       device pci 12.2 on  end		# IDE
       device pci 12.3 on  end		# Audio
       device pci 12.4 on  end		# VGA (onboard)
-      # device pci 12.4 on		# VGA (onboard)
-      #   chip drivers/pci/onboard
-      #     device pci 12.4 on end
-      #   end
-      # end
       device pci 13.0 on end		# USB
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/asi/mb_5blmp/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/asi/mb_5blmp/devicetree.cb
+++ svn/src/mainboard/asi/mb_5blmp/devicetree.cb
@@ -37,11 +37,6 @@ chip northbridge/amd/gx1		# Northbridge
       device pci 12.2 on  end		# IDE
       device pci 12.3 on  end		# Audio
       device pci 12.4 on  end		# VGA (onboard)
-      # device pci 12.4 on		# VGA (onboard)
-      #   chip drivers/pci/onboard
-      #     device pci 12.4 on end
-      #   end
-      # end
       device pci 13.0 on end		# USB
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/asus/mew-vm/Config.lb
===================================================================
--- svn.orig/src/mainboard/asus/mew-vm/Config.lb
+++ svn/src/mainboard/asus/mew-vm/Config.lb
@@ -97,18 +97,14 @@ chip northbridge/intel/i82810
 	device pci_domain 0 on 
 		device pci 0.0 on end # Host bridge
 		device pci 1.0 on # Onboard Video
-			#chip drivers/pci/onboard
 			#	device pci 1.0 on end
-		        #end
 		end
 		chip southbridge/intel/i82801xx # Southbridge
       			register "ide0_enable" = "1"
       			register "ide1_enable" = "1"
 
 			device pci 1e.0 on # PCI Bridge
-				#chip drivers/pci/onboard
 				#	device pci 1.0 on end
-			        #end
 			end
 			device pci 1f.0 on  # ISA/LPC? Bridge
 				chip superio/smsc/lpc47b272
Index: svn/src/mainboard/asus/mew-vm/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/asus/mew-vm/devicetree.cb
+++ svn/src/mainboard/asus/mew-vm/devicetree.cb
@@ -2,18 +2,14 @@ chip northbridge/intel/i82810
 	device pci_domain 0 on 
 		device pci 0.0 on end # Host bridge
 		device pci 1.0 on # Onboard Video
-			#chip drivers/pci/onboard
 			#	device pci 1.0 on end
-		        #end
 		end
 		chip southbridge/intel/i82801xx # Southbridge
       			register "ide0_enable" = "1"
       			register "ide1_enable" = "1"
 
 			device pci 1e.0 on # PCI Bridge
-				#chip drivers/pci/onboard
 				#	device pci 1.0 on end
-			        #end
 			end
 			device pci 1f.0 on  # ISA/LPC? Bridge
 				chip superio/smsc/lpc47b272
Index: svn/src/mainboard/broadcom/blast/Config.lb
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/Config.lb
+++ svn/src/mainboard/broadcom/blast/Config.lb
@@ -207,21 +207,8 @@ chip northbridge/amd/amdk8/root_complex
                                         device pci 2.0 on end # USB        0x0223
                                         device pci 2.1 on end # USB
                                         device pci 2.2 on end # USB
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE (0,1) < CONFIG_HT_CHAIN_UNITID_BASE (6,,,,),
-                                        chip drivers/pci/onboard
-                                              device pci 4.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed, fake one to get the rom_address
-                                                                    # if CONFIG_HT_CHAIN_END_UNITID_BASE=0, it is 5, if CONFIG_HT_CHAIN_END_UNITID_BASE=1, it is 4
-                                        end
+                                        device pci 4.0 on end # it is in bcm5785_0 bus
                                 end
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE > CONFIG_HT_CHAIN_UNITID_BASE (6, ,,,,)
-#                                        chip drivers/pci/onboard
-#                                              device pci 0.0 on end # fake, will be disabled
-#                                        end
-#                                        chip drivers/pci/onboard
-#                                              device pci 5.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed
-#                                        end
-
-
 			end #  device pci 18.0
 
                         device pci 18.0 on end
Index: svn/src/mainboard/broadcom/blast/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/devicetree.cb
+++ svn/src/mainboard/broadcom/blast/devicetree.cb
@@ -105,21 +105,8 @@ chip northbridge/amd/amdk8/root_complex
                                         device pci 2.0 on end # USB        0x0223
                                         device pci 2.1 on end # USB
                                         device pci 2.2 on end # USB
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE (0,1) < CONFIG_HT_CHAIN_UNITID_BASE (6,,,,),
-                                        chip drivers/pci/onboard
-                                              device pci 4.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed, fake one to get the rom_address
-                                                                    # if CONFIG_HT_CHAIN_END_UNITID_BASE=0, it is 5, if CONFIG_HT_CHAIN_END_UNITID_BASE=1, it is 4
-                                        end
+                                        device pci 4.0 on end # it is in bcm5785_0 bus
                                 end
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE > CONFIG_HT_CHAIN_UNITID_BASE (6, ,,,,)
-#                                        chip drivers/pci/onboard
-#                                              device pci 0.0 on end # fake, will be disabled
-#                                        end
-#                                        chip drivers/pci/onboard
-#                                              device pci 5.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed
-#                                        end
-
-
 			end #  device pci 18.0
 
                         device pci 18.0 on end
Index: svn/src/mainboard/digitallogic/msm586seg/Config.lb
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm586seg/Config.lb
+++ svn/src/mainboard/digitallogic/msm586seg/Config.lb
@@ -102,13 +102,8 @@ config chip.h
 chip cpu/amd/sc520
 	device pci_domain 0 on 
 		device pci 0.0 on end
-	
-		chip drivers/pci/onboard
-			device pci 12.0 on end # enet
-		end
-		chip drivers/pci/onboard
-			device pci 14.0 on end # 69000
-		end
+		device pci 12.0 on end # enet
+		device pci 14.0 on end # 69000
 #		register "com1" = "{1}"
 #		register "com1" = "{1, 0, 0x3f8, 4}"
 	end
Index: svn/src/mainboard/digitallogic/msm586seg/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm586seg/devicetree.cb
+++ svn/src/mainboard/digitallogic/msm586seg/devicetree.cb
@@ -1,13 +1,8 @@
 chip cpu/amd/sc520
 	device pci_domain 0 on 
 		device pci 0.0 on end
-	
-		chip drivers/pci/onboard
-			device pci 12.0 on end # enet
-		end
-		chip drivers/pci/onboard
-			device pci 14.0 on end # 69000
-		end
+		device pci 12.0 on end # enet
+		device pci 14.0 on end # 69000
 #		register "com1" = "{1}"
 #		register "com1" = "{1, 0, 0x3f8, 4}"
 	end
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/Config.lb
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/Config.lb
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/Config.lb
@@ -178,9 +178,7 @@ chip northbridge/amd/amdk8/root_complex
 			        chip southbridge/sis/sis966
 					device pci 0.0 on end   # Northbridge
 					device pci 1.0 on		# AGP bridge
-					  chip drivers/pci/onboard	# Integrated VGA
 						device pci 0.0 on end
-					  end
 					end
                 			device pci 2.0 on # LPC
 						chip superio/ite/it8716f
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/devicetree.cb
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/devicetree.cb
@@ -11,9 +11,7 @@ chip northbridge/amd/amdk8/root_complex
 			        chip southbridge/sis/sis966
 					device pci 0.0 on end   # Northbridge
 					device pci 1.0 on		# AGP bridge
-					  chip drivers/pci/onboard	# Integrated VGA
 						device pci 0.0 on end
-					  end
 					end
                 			device pci 2.0 on # LPC
 						chip superio/ite/it8716f
Index: svn/src/mainboard/hp/e_vectra_p2706t/Config.lb
===================================================================
--- svn.orig/src/mainboard/hp/e_vectra_p2706t/Config.lb
+++ svn/src/mainboard/hp/e_vectra_p2706t/Config.lb
@@ -76,9 +76,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    chip drivers/pci/onboard			# Onboard VGA
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end			# Onboard VGA
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/hp/e_vectra_p2706t/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/hp/e_vectra_p2706t/devicetree.cb
+++ svn/src/mainboard/hp/e_vectra_p2706t/devicetree.cb
@@ -7,9 +7,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    chip drivers/pci/onboard			# Onboard VGA
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end			# Onboard VGA
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/ibm/e326/Config.lb
===================================================================
--- svn.orig/src/mainboard/ibm/e326/Config.lb
+++ svn/src/mainboard/ibm/e326/Config.lb
@@ -125,9 +125,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 on end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end # ATI Rage XL
-                                                end
+                                               device pci 5.0 on end # ATI Rage XL
 					end
 					device pci 1.0 on
 						chip superio/nsc/pc87366
Index: svn/src/mainboard/ibm/e326/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/ibm/e326/devicetree.cb
+++ svn/src/mainboard/ibm/e326/devicetree.cb
@@ -21,9 +21,7 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 on end
 						device pci 1.0 off end
-                                                chip drivers/pci/onboard
-                                                        device pci 5.0 on end # ATI Rage XL
-                                                end
+                                               device pci 5.0 on end # ATI Rage XL
 					end
 					device pci 1.0 on
 						chip superio/nsc/pc87366
Index: svn/src/mainboard/intel/d945gclf/Config.lb
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/Config.lb
+++ svn/src/mainboard/intel/d945gclf/Config.lb
@@ -150,9 +150,7 @@ chip northbridge/intel/i945
         device pci_domain 0 on 
                 device pci 00.0 on end # host bridge
 		device pci 01.0 off end # i945 PCIe root port
-		chip drivers/pci/onboard
-			device pci 02.0 on end # vga controller
-		end
+		device pci 02.0 on end # vga controller
 		device pci 02.1 on end # display controller
 
                 chip southbridge/intel/i82801gx
Index: svn/src/mainboard/intel/d945gclf/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/intel/d945gclf/devicetree.cb
+++ svn/src/mainboard/intel/d945gclf/devicetree.cb
@@ -28,9 +28,7 @@ chip northbridge/intel/i945
         device pci_domain 0 on 
                 device pci 00.0 on end # host bridge
 		device pci 01.0 off end # i945 PCIe root port
-		chip drivers/pci/onboard
-			device pci 02.0 on end # vga controller
-		end
+		device pci 02.0 on end # vga controller
 		device pci 02.1 on end # display controller
 
                 chip southbridge/intel/i82801gx
Index: svn/src/mainboard/iwill/dk8_htx/Config.lb
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/Config.lb
+++ svn/src/mainboard/iwill/dk8_htx/Config.lb
@@ -232,9 +232,6 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                #chip drivers/pci/onboard
-                                                #        device pci 6.0 on end
-                                                #end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/iwill/dk8_htx/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/iwill/dk8_htx/devicetree.cb
+++ svn/src/mainboard/iwill/dk8_htx/devicetree.cb
@@ -24,9 +24,6 @@ chip northbridge/amd/amdk8/root_complex
 						device pci 0.1 on end
 						device pci 0.2 off end
 						device pci 1.0 off end
-                                                #chip drivers/pci/onboard
-                                                #        device pci 6.0 on end
-                                                #end
 					end
 					device pci 1.0 on
 						chip superio/winbond/w83627hf
Index: svn/src/mainboard/kontron/986lcd-m/Config.lb
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/Config.lb
+++ svn/src/mainboard/kontron/986lcd-m/Config.lb
@@ -153,9 +153,7 @@ chip northbridge/intel/i945
                 device pci 00.0 on end # host bridge
 		# autodetect 0:1.0 because it might or might not be there.
 		# device pci 01.0 off end # i945 PCIe root port
-		chip drivers/pci/onboard
-			device pci 02.0 on end # vga controller
-		end
+		device pci 02.0 on end # vga controller
 		device pci 02.1 on end # display controller
 
                 chip southbridge/intel/i82801gx
Index: svn/src/mainboard/kontron/986lcd-m/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/kontron/986lcd-m/devicetree.cb
+++ svn/src/mainboard/kontron/986lcd-m/devicetree.cb
@@ -9,9 +9,7 @@ chip northbridge/intel/i945
         device pci_domain 0 on 
                 device pci 00.0 on end # host bridge
 		device pci 01.0 off end # i945 PCIe root port
-		chip drivers/pci/onboard
-			device pci 02.0 on end # vga controller
-		end
+		device pci 02.0 on end # vga controller
 		device pci 02.1 on end # display controller
 
                 chip southbridge/intel/i82801gx
Index: svn/src/mainboard/kontron/kt690/Config.lb
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/Config.lb
+++ svn/src/mainboard/kontron/kt690/Config.lb
@@ -155,9 +155,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/kontron/kt690/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/kontron/kt690/devicetree.cb
+++ svn/src/mainboard/kontron/kt690/devicetree.cb
@@ -20,9 +20,7 @@ chip northbridge/amd/amdk8/root_complex
 				chip southbridge/amd/rs690
 					device pci 0.0 on end # HT  	0x7910
 					device pci 1.0 on  # Internal Graphics P2P bridge 0x7912
-						chip drivers/pci/onboard
-							device pci 5.0 on end	# Internal Graphics 0x791F
-						end
+						device pci 5.0 on end	# Internal Graphics 0x791F
 					end
 					device pci 2.0 on end # PCIE P2P bridge (external graphics) 0x7913
 					device pci 3.0 off end # PCIE P2P bridge	0x791b
Index: svn/src/mainboard/mitac/6513wu/Config.lb
===================================================================
--- svn.orig/src/mainboard/mitac/6513wu/Config.lb
+++ svn/src/mainboard/mitac/6513wu/Config.lb
@@ -80,9 +80,7 @@ chip northbridge/intel/i82810           
   end
   device pci_domain 0 on                # PCI domain
     device pci 0.0 on end               # Graphics Memory Controller Hub (GMCH)
-    chip drivers/pci/onboard
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end
     chip southbridge/intel/i82801xx     # Southbridge
       register "pirqa_routing" = "0x03"
       register "pirqb_routing" = "0x05"
Index: svn/src/mainboard/mitac/6513wu/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/mitac/6513wu/devicetree.cb
+++ svn/src/mainboard/mitac/6513wu/devicetree.cb
@@ -26,9 +26,7 @@ chip northbridge/intel/i82810           
   end
   device pci_domain 0 on                # PCI domain
     device pci 0.0 on end               # Graphics Memory Controller Hub (GMCH)
-    chip drivers/pci/onboard
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end
     chip southbridge/intel/i82801xx     # Southbridge
       register "pirqa_routing" = "0x03"
       register "pirqb_routing" = "0x05"
Index: svn/src/mainboard/msi/ms6178/Config.lb
===================================================================
--- svn.orig/src/mainboard/msi/ms6178/Config.lb
+++ svn/src/mainboard/msi/ms6178/Config.lb
@@ -75,9 +75,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    chip drivers/pci/onboard			# Onboard VGA
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end			# Onboard VGA
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/msi/ms6178/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/msi/ms6178/devicetree.cb
+++ svn/src/mainboard/msi/ms6178/devicetree.cb
@@ -26,9 +26,7 @@ chip northbridge/intel/i82810			# Northb
   end
   device pci_domain 0 on
     device pci 0.0 on end			# Host bridge
-    chip drivers/pci/onboard			# Onboard VGA
-      device pci 1.0 on end
-    end
+    device pci 1.0 on end			# Onboard VGA
     chip southbridge/intel/i82801xx		# Southbridge
       register "ide0_enable" = "1"
       register "ide1_enable" = "1"
Index: svn/src/mainboard/msi/ms9185/Config.lb
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/Config.lb
+++ svn/src/mainboard/msi/ms9185/Config.lb
@@ -207,29 +207,8 @@ chip northbridge/amd/amdk8/root_complex
                                         device pci 2.0 on end # USB        0x0223
                                         device pci 2.1 on end # USB
                                         device pci 2.2 on end # USB
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE (0,1) < CONFIG_HT_CHAIN_UNITID_BASE (6,,,,),
-                                        chip drivers/pci/onboard
-                                              device pci 3.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed, fake one to get the rom_address
-                                                                    # if CONFIG_HT_CHAIN_END_UNITID_BASE=0, it is 4, if CONFIG_HT_CHAIN_END_UNITID_BASE=1, it is 3
-                                        end
-                                       #bx_a013+ start
-                                       #chip drivers/pci/onboard    #SATA2
-                                       #       device pci 5.0 on end
-                                       #       device pci 5.1 on end
-                                       #       device pci 5.2 on end
-                                       #       device pci 5.3 on end
-                                       #end
-                                       #bx_a013+ end
-
+                                        device pci 3.0 on end # it is in bcm5785_0 bus
                                 end
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE > CONFIG_HT_CHAIN_UNITID_BASE (6, ,,,,)
-#                                        chip drivers/pci/onboard
-#                                              device pci 0.0 on end # fake, will be disabled
-#                                        end
-#                                        chip drivers/pci/onboard
-#                                              device pci 4.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed
-#                                        end
-
                        end #  device pci 18.0
                        device pci 18.1 on end
                        device pci 18.2 on end
Index: svn/src/mainboard/msi/ms9185/devicetree.cb
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/devicetree.cb
+++ svn/src/mainboard/msi/ms9185/devicetree.cb
@@ -73,29 +73,8 @@ chip northbridge/amd/amdk8/root_complex
                                         device pci 2.0 on end # USB        0x0223
                                         device pci 2.1 on end # USB
                                         device pci 2.2 on end # USB
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE (0,1) < CONFIG_HT_CHAIN_UNITID_BASE (6,,,,),
-                                        chip drivers/pci/onboard
-                                              device pci 3.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed, fake one to get the rom_address
-                                                                    # if CONFIG_HT_CHAIN_END_UNITID_BASE=0, it is 4, if CONFIG_HT_CHAIN_END_UNITID_BASE=1, it is 3
-                                        end
-                                       #bx_a013+ start
-                                       #chip drivers/pci/onboard    #SATA2
-                                       #       device pci 5.0 on end
-                                       #       device pci 5.1 on end
-                                       #       device pci 5.2 on end
-                                       #       device pci 5.3 on end
-                                       #end
-                                       #bx_a013+ end
-
+                                        device pci 3.0 on end # it is in bcm5785_0 bus
                                 end
-                                        #when CONFIG_HT_CHAIN_END_UNITID_BASE > CONFIG_HT_CHAIN_UNITID_BASE (6, ,,,,)
-#                                        chip drivers/pci/onboard
-#                                              device pci 0.0 on end # fake, will be disabled
-#                                        end
-#                                        chip drivers/pci/onboard
-#                                              device pci 4.0 on end # it is in bcm5785_0 bus, but the device id can not be changed even unitid is changed
-#                                        end
-
                        end #  device pci 18.0
                        device pci 18.1 on end
                        device pci 18.2 on end
Index: svn/src/mainboard/msi/ms9282/Config.lb
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/Config.lb
+++ svn/src/mainboard/msi/ms9282/Config.lb
@@ -278,27 +278,21 @@ chip northbridge/amd/amdk8/root_complex
                                        device pci 5.1 on  end # SATA 1
                                        device pci 5.2 on  end # SATA 2
                                        device pci 6.0 on  #P2P
-                                               chip drivers/pci/onboard
-                                                       device pci 4.0 on end
-                                               end
+                                               device pci 4.0 on end
                                        end # P2P
                                        device pci 7.0 on end # reserve
                                        device pci 8.0 on end # MAC0
                                        device pci 9.0 on end # MAC1
                                        device pci a.0 on
                                                device pci 0.0 on
-                                                       chip drivers/pci/onboard
-                                                               device pci 4.0 on end  #pci_E lan1
-                                                               device pci 4.1 on end  #pci_E lan2
-                                                       end
+                                                       device pci 4.0 on end  #pci_E lan1
+                                                       device pci 4.1 on end  #pci_E lan2
                                                end
                                        end # 0x376
                                                device pci b.0 on  end # PCI E 0x374
                                        device pci c.0 on  end
                                        device pci d.0 on   #SAS
-                                               chip drivers/pci/onboard
-                                                       device pci 0.0 on end
-                                               end
+                                               device pci 0.0 on end
                                        end # PCI E 1 0x378
                                        device pci e.0 on end # PCI E 0 0x375
                                        device pci f.0 on end   #PCI E 0x377  pci_E slot
